import 'dart:convert';

/// JSON 序列化转换器
class JSONConverter {
  /// 将 JSON 反序列化为键值对字典
  Map<String, dynamic> fromJSON(String source) {
    return jsonDecode(source);
  }

  /// 将键值对字典序列化为 JSON
  String toJSON(Map<String, dynamic> obj) {
    return jsonEncode(obj);
  }
}
