import 'package:dart_cure/serialization/json.dart';
import 'package:test/test.dart';

void main() {
  test('JSONConverter.fromJSON()', () {
    final source = '{"code":"401"}';
    final converter = JSONConverter();
    final obj = converter.fromJSON(source);
    final actual = obj['code'];
    final matcher = '401';
    expect(actual, matcher);
  });
  test('JSONConverter.toJSON()', () {
    final obj = <String, dynamic>{'code': '401'};
    final converter = JSONConverter();
    final actual = converter.toJSON(obj);
    final matcher = '{"code":"401"}';
    expect(actual, matcher);
  });
}
